[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# fprecvfrom

Receive data from an unconnected socket

## Declaration

Source position: socketsh.inc line 158

`function fprecvfrom(`
`s: cint;`
`buf: pointer;`
`len: size_t;`
`flags: cint;`
`from: psockaddr;`
`fromlen: pSockLen`
`):ssize_t;`

## Description

fpRecvFrom receives data in buffer Buf with maximum length Len from socket S. Receipt is controlled by options in Flags. The location pointed to by from will be filled with the address from the sender, and it's length will be stored in fromlen. The function returns the number of bytes received, or -1 on error. AddrLen.

## Errors

On error, -1 is returned.

## See also

fpSocket |  | Create new socket
fprecv |  | Receive data on socket